<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$disputeDocumentId = '199387308';
$response = $api->DisputeDocuments->Get($disputeDocumentId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myDisputeDocument = {
Id: '192747541',
}
const viewDisputeDocument = async (disputeDocumentId) => {
return await mangopay.DisputeDocuments.get(disputeDocumentId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewDisputeDocument(myDisputeDocument.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewDisputeDocument(disputeDocumentId)
begin
response = MangoPay::Dispute.fetch_document(disputeDocumentId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Document: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myDocument = {
Id:'159188418'
}
viewDisputeDocument(myDocument[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.DisputeDocument;
public class ViewDisputeDoc {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var disputeDocId = "dispdoc_m_01J35502PVF13JEV84D6PET414";
DisputeDocument viewDisputeDoc = mangopay.getDisputeApi().getDocument(disputeDocId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewDisputeDoc);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import DisputeDocument
dispute_doc_id = 'dispdoc_m_01HQTAHCSMH0Q6MRHYWZ0B39M5'
try:
view_dispute_doc = DisputeDocument.get(dispute_doc_id)
pprint(view_dispute_doc._data)
except DisputeDocument.DoesNotExist:
print('Dispute doc {} does not exist.'.format(view_dispute_doc.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var disputeDocId = "dispdoc_m_01J41GSW7D919YXBY2ZEK91ACD";
var viewDisputeDoc = await api.Disputes.GetDocumentAsync(disputeDocId);
string prettyPrint = JsonConvert.SerializeObject(viewDisputeDoc, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"DisputeId": "159102965",
"Type": "DELIVERY_PROOF",
"Id": "159188418",
"Tag": null,
"CreationDate": 1672655973,
"ProcessedDate": null,
"Status": "VALIDATION_ASKED",
"RefusedReasonType": null,
"RefusedReasonMessage": null
}
Dispute documents
View a Dispute Document
GET
/
v2.01
/
{ClientId}
/
dispute-documents
/
{DisputeDocumentId}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$disputeDocumentId = '199387308';
$response = $api->DisputeDocuments->Get($disputeDocumentId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myDisputeDocument = {
Id: '192747541',
}
const viewDisputeDocument = async (disputeDocumentId) => {
return await mangopay.DisputeDocuments.get(disputeDocumentId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewDisputeDocument(myDisputeDocument.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewDisputeDocument(disputeDocumentId)
begin
response = MangoPay::Dispute.fetch_document(disputeDocumentId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Document: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myDocument = {
Id:'159188418'
}
viewDisputeDocument(myDocument[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.DisputeDocument;
public class ViewDisputeDoc {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var disputeDocId = "dispdoc_m_01J35502PVF13JEV84D6PET414";
DisputeDocument viewDisputeDoc = mangopay.getDisputeApi().getDocument(disputeDocId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewDisputeDoc);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import DisputeDocument
dispute_doc_id = 'dispdoc_m_01HQTAHCSMH0Q6MRHYWZ0B39M5'
try:
view_dispute_doc = DisputeDocument.get(dispute_doc_id)
pprint(view_dispute_doc._data)
except DisputeDocument.DoesNotExist:
print('Dispute doc {} does not exist.'.format(view_dispute_doc.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var disputeDocId = "dispdoc_m_01J41GSW7D919YXBY2ZEK91ACD";
var viewDisputeDoc = await api.Disputes.GetDocumentAsync(disputeDocId);
string prettyPrint = JsonConvert.SerializeObject(viewDisputeDoc, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"DisputeId": "159102965",
"Type": "DELIVERY_PROOF",
"Id": "159188418",
"Tag": null,
"CreationDate": 1672655973,
"ProcessedDate": null,
"Status": "VALIDATION_ASKED",
"RefusedReasonType": null,
"RefusedReasonMessage": null
}
Path parameters
Responses
200
200
Returned values:
DELIVERY_PROOF, INVOICE, REFUND_PROOF, USER_CORRESPONDANCE, USER_ACCEPTANCE_PROOF, PRODUCT_REPLACEMENT_PROOF, OTHERThe type of the dispute document.Max length: 128 characters (see data formats for details)The unique identifier of the object.
Returned values:
CREATED, VALIDATION_ASKED, VALIDATED, REFUSED, OUT_OF_DATEThe status of the dispute document.Returned values: DOCUMENT_DO_NOT_MATCH_USER_DATA, DOCUMENT_FALSIFIED, DOCUMENT_HAS_EXPIRED, DOCUMENT_INCOMPLETE, DOCUMENT_MISSING, DOCUMENT_NOT_ACCEPTED, DOCUMENT_UNREADABLE, SPECIFIC_CASE, UNDERAGE_PERSONThe reason for the dispute document refusal. See the RefusedReasonMessage for more information.
{
"DisputeId": "159102965",
"Type": "DELIVERY_PROOF",
"Id": "159188418",
"Tag": null,
"CreationDate": 1672655973,
"ProcessedDate": null,
"Status": "VALIDATION_ASKED",
"RefusedReasonType": null,
"RefusedReasonMessage": null
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$disputeDocumentId = '199387308';
$response = $api->DisputeDocuments->Get($disputeDocumentId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myDisputeDocument = {
Id: '192747541',
}
const viewDisputeDocument = async (disputeDocumentId) => {
return await mangopay.DisputeDocuments.get(disputeDocumentId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewDisputeDocument(myDisputeDocument.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewDisputeDocument(disputeDocumentId)
begin
response = MangoPay::Dispute.fetch_document(disputeDocumentId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Document: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myDocument = {
Id:'159188418'
}
viewDisputeDocument(myDocument[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.DisputeDocument;
public class ViewDisputeDoc {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var disputeDocId = "dispdoc_m_01J35502PVF13JEV84D6PET414";
DisputeDocument viewDisputeDoc = mangopay.getDisputeApi().getDocument(disputeDocId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewDisputeDoc);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import DisputeDocument
dispute_doc_id = 'dispdoc_m_01HQTAHCSMH0Q6MRHYWZ0B39M5'
try:
view_dispute_doc = DisputeDocument.get(dispute_doc_id)
pprint(view_dispute_doc._data)
except DisputeDocument.DoesNotExist:
print('Dispute doc {} does not exist.'.format(view_dispute_doc.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var disputeDocId = "dispdoc_m_01J41GSW7D919YXBY2ZEK91ACD";
var viewDisputeDoc = await api.Disputes.GetDocumentAsync(disputeDocId);
string prettyPrint = JsonConvert.SerializeObject(viewDisputeDoc, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?